System Requirements

Operating System

Unix based Operating Systems (Linux and Mac OS) and MS Windows.

Web Server

One of the following:

  • nginx - Preferred
  • Apache

But, any webserver which supports PHP will work such as NginX, lighttpd, Apache, Cherokee.

Databases

Depending on the project, one of the databases:

  • PostgreSQL >=9.6 - Default and Preferred
  • MySQL >=5.7
PHP

Spryker supports PHP >=7.1 with the following extensions:

curl, json, mysql, pdo-sqlite, sqlite3, gd, intl, mysqli, pgsql, ssh2, gmp, mcrypt, pdo-mysql, readline, twig, imagick, memcache, pdo-pgsql, redis, xml, bz2, mbstring

The preferred version is 7.2.

SSL

For production systems, a valid security certificate is required for HTTPS.

Redis

Version 3.2+

Elasticsearch

Version 5.x (not 6.x)

RabbitMQ Version 3.6+
Jenkins (for cronjob management) Version 1.6.x or 2.x (with disabled authentication)
Graphviz (for statemachine visualization) 2.x

Last review date: November 5th, 2018